Bug 1089731 - Ath9k WiFi now disabled by radio killswitch
Summary: Ath9k WiFi now disabled by radio killswitch
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-ath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-21 19:57 UTC by Andreas Utterberg
Modified: 2014-11-03 05:22 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-28 06:42:34 UTC


Attachments (Terms of Use)
Wifi output from messages (1.30 KB, text/plain)
2014-04-21 19:57 UTC, Andreas Utterberg
no flags Details
Wifi output from messages (1.30 KB, text/plain)
2014-04-21 19:58 UTC, Andreas Utterberg
no flags Details
Lspci (1.65 KB, text/plain)
2014-04-21 19:59 UTC, Andreas Utterberg
no flags Details
lsmod (4.36 KB, text/plain)
2014-04-21 19:59 UTC, Andreas Utterberg
no flags Details
dmesg (81.38 KB, text/plain)
2014-04-22 10:36 UTC, Andreas Utterberg
no flags Details
Set wapf to 4 for ASUSTeK COMPUTER INC. X75VBP & X550CA, so that the wireless network adapter is enabled. (2.32 KB, patch)
2014-05-06 02:41 UTC, poma
no flags Details | Diff
'WAPF 4 for ASUSTeK COMPUTER INC. X550CA WLAN ON' patch for Andreas (1.02 KB, patch)
2014-05-06 20:48 UTC, poma
no flags Details | Diff
'WAPF 4 for ASUSTeK COMPUTER INC. X550CA WLAN ON' patch v2 for Andreas (1.13 KB, patch)
2014-05-06 21:26 UTC, poma
no flags Details | Diff
asus-nb-wmi-Add-wapf4-quirk-for-the-X550VB_v3.16.patch (654 bytes, text/plain)
2014-10-22 12:39 UTC, Stanislaw Gruszka
no flags Details

Description Andreas Utterberg 2014-04-21 19:57:54 UTC
Created attachment 888222 [details]
Wifi output from messages

Description of problem:
Asus X550C Laptop, Qualcomm Atheros AR9485 Wireless Network Adapter fails to enable wireless on Fedora 20 with errormessage "WiFi now disabled by radio killswitch"

Version-Release number of selected component (if applicable):
Fedora 20
Kernel 3.13.10-200.fc20.x86_64 
All packages updated to todays date (2014-04-21)
Ath9k kernel modules

How reproducible:
100%, every time


Steps to Reproduce:
1. Boot up Fedora 20
2. Try to enable wirless wifi


Actual results:


Expected results:


Additional info:

Comment 1 Andreas Utterberg 2014-04-21 19:58:49 UTC
Created attachment 888223 [details]
Wifi output from messages

Comment 2 Andreas Utterberg 2014-04-21 19:59:12 UTC
Created attachment 888224 [details]
Lspci

Comment 3 Andreas Utterberg 2014-04-21 19:59:37 UTC
Created attachment 888225 [details]
lsmod

Comment 4 Josh Boyer 2014-04-22 01:12:35 UTC
What was the last working kernel version?  Can you attach the output of dmesg from both a working kernel and 3.13.10?

Comment 5 Andreas Utterberg 2014-04-22 10:36:05 UTC
It was the same result on the prior kernel. I bought the laptop last week so for me it has never worked. Following workaround works:

1: Boot up Fedora 20 (The wireless dont work due to killswitch)
2: Unload all ath9k kernelmodules with rmmod:

ath9k                 150307  0 
ath9k_common           13258  1 ath9k
ath9k_hw              448149  2 ath9k_common,ath9k

3: Close the lid on the laptop, wait a minute.
4: Open the lid and do modprobe ath9k and the wifi comes alive.

Comment 6 Andreas Utterberg 2014-04-22 10:36:37 UTC
Created attachment 888442 [details]
dmesg

Comment 7 poma 2014-04-26 16:15:24 UTC
Try with these three WAPF values​​, adding them to the kernel command line:

1. asus-nb-wmi.wapf=0
2. asus-nb-wmi.wapf=1
3. asus-nb-wmi.wapf=4

Which of them enables WLAN device for the X550CA?

e.g.
asus-nb-wmi: set wapf=4 for ASUSTeK COMPUTER INC. X75VBP
http://marc.info/?l=linux-kernel&m=139819918125110

Soon I'll resend a properly formatted patch to linux-kernel@vger.kernel.org.
Andreas, if it work and if you are for it, I can append X550CA to a patch.
Thereafter we can ask Josh and Stanislaw to urgently apply this to the all Fedora kernels.

Comment 8 Andreas Utterberg 2014-04-26 18:37:05 UTC
Wonderful news, good work poma!

I confirm that this is a good patch for the Asus X550C. The asus-nb-wmi.wapf=4 added to the kernel on boottime activates the wifi automaticly and it works like a charm.

Once again, thanks! and good work. Let me know if you need more tests or feedback from me to be able to commit this patch.

Comment 9 poma 2014-04-26 22:42:05 UTC
Andreas, thanks for testing.
The patch has been sent, so let's be patient until someone applies it.
Here you can follow the course of events, 
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/log/drivers/platform/x86/asus-nb-wmi.c

Comment 10 poma 2014-05-06 02:41:47 UTC
Created attachment 892751 [details]
Set wapf to 4 for ASUSTeK COMPUTER INC. X75VBP & X550CA, so that the wireless network adapter is enabled.

Comment 11 poma 2014-05-06 15:19:58 UTC
Andreas, can you make a patch for your laptop(X550CA) or I will create it for you? 
Afterwards you can send it to 'platform-driver-x86@vger.kernel.org'.

Comment 12 Andreas Utterberg 2014-05-06 19:48:34 UTC
Im sorry i have no C or C++ (kernel programming) skills so i cant provide the patch by myself. So please create it if you are able or instruct me how to provide it.

Comment 13 poma 2014-05-06 20:48:17 UTC
Created attachment 893004 [details]
'WAPF 4 for ASUSTeK COMPUTER INC. X550CA WLAN ON' patch for Andreas


Download "0001-WAPF-4-for-ASUSTeK-COMPUTER-INC.-X550CA-WLAN-ON.patch", attach it to an e-mail and send it to 'platform-driver-x86@vger.kernel.org' mailing list.
There already exists a thread "[PATCH] asus-nb-wmi: set wapf=4 for ASUSTeK COMPUTER INC. X75VBP & X550CA", so you only need to replay.
BTW, this patch is far from something really complex like kernel hacking. :)

Comment 14 poma 2014-05-06 21:26:18 UTC
Created attachment 893014 [details]
'WAPF 4 for ASUSTeK COMPUTER INC. X550CA WLAN ON' patch v2 for Andreas


Added a brief explanation.

Comment 15 Andreas Utterberg 2014-05-07 16:36:38 UTC
Email sendt and patch provided to the platform-driver-x86@vger.kernel.org mailinglist.

Comment 16 Andreas Utterberg 2014-05-07 16:46:27 UTC
Nope! :( it keeps bouncing back:

"<platform-driver-x86@vger.kernel.org>: host vger.kernel.org[209.132.180.67]
said: 550 5.7.1 Content-Policy reject msg: The message contains HTML
subpart, therefore we consider it SPAM or Outlook Virus. TEXT/PLAIN is
accepted.! BF:<U 0.499999>; S1751925AbaEGQhB (in reply to end of DATA
command)"

Im unable to send it in any other way by my mailprovider (webmail). Can i provide it in any other way?

Comment 17 poma 2014-05-07 19:05:06 UTC
...
> Im unable to send it in any other way by my mailprovider (webmail). Can i
> provide it in any other way?

- install
http://www.mozilla.org/en-US/thunderbird/all.html

- configure for the patch attach
http://linuxmanpages.net/manpages/fedora20/man1/git-format-patch.1.html
MUA-SPECIFIC HINTS
   Thunderbird
       Approach #2 (configuration)

- subscribe
http://vger.kernel.org/vger-lists.html#platform-driver-x86

- attach the patch and send it

Comment 18 poma 2014-07-09 04:18:25 UTC
$ curl -s http://pkgs.fedoraproject.org/repo/pkgs/kernel/patch-3.16-rc4.xz/523886ec26aa36e0a93ab85b9717e2f6/patch-3.16-rc4.xz | xzgrep -B6 X550CA

Andreas, your device is included with the rawhide-kernel-nodebug 3.16.0-0.rc4.git0.1.fc21.1
i.e.
kernel-core-3.16.0-0.rc4.git0.1.fc21.1.x86_64.rpm
kernel-modules-3.16.0-0.rc4.git0.1.fc21.1.x86_64.rpm
- http://alt.fedoraproject.org/pub/alt/rawhide-kernel-nodebug/x86_64/
- http://fedoraproject.org/wiki/RawhideKernelNodebug

So you can test with this kernel or even better if you're not sure what you're doing, 
pick up one of the LiveCDs and test whether by default runs a wireless device
- http://koji.fedoraproject.org/koji/tasks?state=closed&view=tree&method=livecd&order=-id

Comment 19 Vratislav Podzimek 2014-10-06 11:32:13 UTC
Any update on this bug? I have found out that suspending and resuming the machine helps wifi works then.

Comment 20 Stanislaw Gruszka 2014-10-06 11:57:41 UTC
Patch for this bug is applied in 3.16:

commit c08db55fe1455202e4bcda416e88bbbc20700dc4
Author: Andreas Utterberg <andreas.utterberg@thundera.se>
Date:   Tue May 6 22:27:45 2014 +0200

    asus-wmi: Set WAPF to 4 for Asus X550CA

If you still have problem on kernel newer than 3.16, you probably hit different issue.

Comment 21 Vratislav Podzimek 2014-10-08 06:35:09 UTC
Should I create a new bug report for the model Asus X550VB X0016 where wifi only works after suspend+resume otherwise it reports "disabled by radio switch" even with kernel 3.16.3-200.fc20.x86_64?

Comment 22 Stanislaw Gruszka 2014-10-08 09:08:07 UTC
If it can be handle by waps quirk, you do not need to open a new bug report. Does asus-nb-wmi.wapf=4 kernel boot parameter helps ?

Comment 23 Vratislav Podzimek 2014-10-10 09:02:56 UTC
(In reply to Stanislaw Gruszka from comment #22)
> If it can be handle by waps quirk, you do not need to open a new bug report.
> Does asus-nb-wmi.wapf=4 kernel boot parameter helps ?
Yes, I can confirm adding this boot parameter fixes the issue even on Asus X550VB X0016. Thanks!

(no additional info needed)

Comment 24 Stanislaw Gruszka 2014-10-10 16:12:57 UTC
Below test kernel include patch that set wapf=4 by default when X550VB is detected. Please test it without the boot parameter to confirm patch is correct.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7820797

Comment 25 Vratislav Podzimek 2014-10-13 08:46:05 UTC
(In reply to Stanislaw Gruszka from comment #24)
> Below test kernel include patch that set wapf=4 by default when X550VB is
> detected. Please test it without the boot parameter to confirm patch is
> correct.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=7820797
Is it possible to use a koji task as a repo or something like that? I'm not the owner of the affected laptop and the owner is a Linux beginner so I'm think about the easiest way how to instruct him to try the kernel above.

Comment 26 Stanislaw Gruszka 2014-10-13 08:55:12 UTC
It's quite simple, just download package for proper architecture (x86_64 or i686) and install it as root by "rpm -i" command.

Comment 27 Vratislav Podzimek 2014-10-13 10:39:13 UTC
(In reply to Stanislaw Gruszka from comment #26)
> It's quite simple, just download package for proper architecture (x86_64 or
> i686) and install it as root by "rpm -i" command.
Well, I know that, 'yum localinstall' would probably work even better, but aren't multiple packages needed? kernel-modules, etc.?

Comment 28 Stanislaw Gruszka 2014-10-13 11:37:38 UTC
kernel-firmware maybe can be a dependency, but it can be ignored (rpm --force --nodeps)

Comment 29 Vratislav Podzimek 2014-10-22 12:04:46 UTC
(In reply to Stanislaw Gruszka from comment #24)
> Below test kernel include patch that set wapf=4 by default when X550VB is
> detected. Please test it without the boot parameter to confirm patch is
> correct.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=7820797
I can confirm this kernel works without the extra boot option. Thanks!

Comment 30 Stanislaw Gruszka 2014-10-22 12:39:56 UTC
Created attachment 949379 [details]
asus-nb-wmi-Add-wapf4-quirk-for-the-X550VB_v3.16.patch

Fix for this bug for v3.16 and older kernels, upstream version for 3.17 and newer kernels was posted here:
http://marc.info/?l=linux-kernel&m=141398135708424&w=2

Comment 31 Stanislaw Gruszka 2014-10-22 12:41:04 UTC
Josh, please apply above patch as fix for this bug.

Comment 32 Josh Boyer 2014-10-22 14:24:54 UTC
Add to f20-rawhide.  Thanks!

Comment 33 Fedora Update System 2014-10-23 12:11:02 UTC
kernel-3.16.6-202.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.16.6-202.fc20

Comment 34 Fedora Update System 2014-10-23 12:14:38 UTC
kernel-3.17.1-303.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.17.1-303.fc21

Comment 35 Fedora Update System 2014-10-23 16:21:30 UTC
Package kernel-3.17.1-303.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.17.1-303.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13536/kernel-3.17.1-303.fc21
then log in and leave karma (feedback).

Comment 36 Fedora Update System 2014-10-25 12:20:13 UTC
kernel-3.17.1-304.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.17.1-304.fc21

Comment 37 Fedora Update System 2014-10-28 06:42:34 UTC
kernel-3.16.6-202.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2014-10-31 11:30:57 UTC
kernel-3.17.2-300.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.17.2-300.fc21

Comment 39 Fedora Update System 2014-11-03 05:22:28 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.